Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface MonitorService

    public interface MonitorService

This `MonitorService` takes charge of offering monitor service and management to the specified Report Server.

Method Summary
`DatabaseMonitor` | `getDatabaseMonitor()` Gets a reference of `DatabaseMonitor`.
`int` | `getDefaultDuration()` Gets the default duration time (in milliseconds) of all monitors.
`int` | `getDefaultInterval()` Gets the default refreshing interval time (in milliseconds) of all monitors.
`java.lang.String` | `getHost()` Gets the host IP address of the currently monitored Report Server.
`int` | `getPort()` Gets the running port number of the currently monitored Report Server.
`TaskMonitor` | `getTaskMonitor()` Gets a reference of `TaskMonitor`.
`UserMonitor` | `getUserMonitor()` Gets a reference of `UserMonitor`.
`void` | `setDefaultDuration(int defDuration)` Sets all monitors' default duration time (in milliseconds).
`void` | `setDefaultInterval(int defInterval)` Sets all monitors' default refreshing interval time (in milliseconds).
`void` | `startAll()` Initializes and starts up all monitors.
`void` | `stopAll()` Stops all started monitors.

Method Detail

### startAll

    void startAll()

  Initializes and starts up all monitors.

### stopAll

    void stopAll()

  Stops all started monitors.

### setDefaultInterval

    void setDefaultInterval(int defInterval)

  Sets all monitors' default refreshing interval time (in milliseconds).

  Parameters:
    `defInterval` - Default refreshing interval time.

### getDefaultInterval

    int getDefaultInterval()

  Gets the default refreshing interval time (in milliseconds) of all monitors.

  Returns:
    Default refreshing interval time.

### setDefaultDuration

    void setDefaultDuration(int defDuration)

  Sets all monitors' default duration time (in milliseconds).

  Parameters:
    `defDuration` - Default duration time.

### getDefaultDuration

    int getDefaultDuration()

  Gets the default duration time (in milliseconds) of all monitors.

  Returns:
    Default duration time.

### getTaskMonitor

    TaskMonitor getTaskMonitor()

  Gets a reference of `TaskMonitor`.

  Returns:
    A reference of `TaskMonitor`.

### getUserMonitor

    UserMonitor getUserMonitor()

  Gets a reference of `UserMonitor`.

  Returns:
    A reference of `UserMonitor`.

### getDatabaseMonitor

    DatabaseMonitor getDatabaseMonitor()

  Gets a reference of `DatabaseMonitor`.

  Returns:
    A reference of `DatabaseMonitor`.

### getHost

    java.lang.String getHost()

  Gets the host IP address of the currently monitored Report Server. return The monitored Report Server's host IP address.

### getPort

    int getPort()

  Gets the running port number of the currently monitored Report Server.

  Returns:
    The monitored Report Server's port number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD